PopcornFX v2.12

Generic selectors
Exact matches only
Search in title
Search in content
  1. Home
  2. Docs
  3. PopcornFX v2.12
  4. Plugins
  5. O3DE Gem
  6. Gem installation

Gem installation

Getting the Gem

Starting in v2.9.7, PopcornFX Gem for O3DE can be downloaded along with the associated PopcornFX Editor. You will find the latest editor releases here.

Since v2.9.16, you can also use the O3DE Gem Repos system to get the PopcornFX Gem by adding this repository: https://downloads.popcornfx.com/o3de-repo

Make sure to grab a plugin version matching the PopcornFX Editor you are using.

Gem status

The PopcornFX O3DE integration has released with v2.9.7. Be aware that some features are still missing. The Gem installation process we also be improved along O3DE development.

Gem dependencies

PopcornFX O3DE Gem require the Atom, Script Canvas, EMotionFX, PhysX,  LyShine and Starting Point Input Gems.

Gem installation

As described above there is two ways to install the gem. Either with O3DE Gem Repos system or manually.

Using the Gem Repo (recommended)

This version of the Gem will be only compatible with the latest released version of O3DE.

1. Open the O3DE Project Manager, in the Configure Gems panel click on Show Gem Repos.

2. Click on “Add repository’ and add the PopcornFX repository:  https://downloads.popcornfx.com/o3de-repo

3. Return to the Configure Gems panel and enable the PopcornFX Gem matching PopcornFX Editor version.

4. You can now click on “Create Project”, this will display a warning message from the PopcornFX gem to notify that you will need the appropriate PopcornFX editor to edit the effects. You can click on continue.

Installing manually

1. There is two ways to get the PopcornFX Gem manually:

– Directly download the Gem zip matching your PopcornFX editor version on the wiki page.
This Gem will be only compatible with the latest released version of O3DE.
OR
– Clone the PopcornFX Gem repository. Checkout the branch matching your PopcornFX editor version.
The main branches are compatible with the latest released version of O3DE and the development branches are compatible with the development branch of the O3DE github repository.

Extract the Gem zip or clone the git repository in the directory of your choice.
For example C:\Users\<User>\O3DE\Gems\PopcornFX

2. Open the O3DE Project Manager, in the Configure Gems panel click on Add Existing Gem.
Select the directory containing the PopcornFX Gem.

3. In the Configure Gems panel, enable the PopcornFX Gem.

Patching O3DE project

In order to have distortion particles working, PopcornFX needs to add a distortion post-effect to your Atom render pipeline:

1. Run PopcornScript/PatchProject.py, python PatchProject.py <O3DE-source-repo-path> <project-path>
For example python C:\Users\<User>\O3DE\Gems\PopcornFX\PopcornScript\PatchProject.py C:\o3de C:\Users\<User>\O3DE\Projects\NewProject

Was this article helpful to you? Yes No

How can we help?